> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextlm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voices

> Returns all voices available for synthesis

Returns a list of all voices available for synthesis.


## OpenAPI

````yaml GET /v1/all_voices
openapi: 3.1.0
info:
  title: OpenAPI Contextlm
  description: ContextLM API endpoints
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.contextlm.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/all_voices:
    get:
      description: Returns all voices available for synthesis
      parameters:
        - name: is_podcast_only
          in: query
          description: >-
            Whether to return only podcast voices or all voices. Leave blank to
            get both.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AllVoices'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AllVoices:
      type: object
      properties:
        voices:
          description: An array of all available voices.
          type: array
          items:
            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````